<!DOCTYPE HTML>
<html lang="en">
<head>
<!-- Generated by javadoc (19) on Tue Feb 07 17:02:05 WET 2023 -->
<title>K-Index</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2023-02-07">
<meta name="description" content="index: K">
<meta name="generator" content="javadoc/IndexWriter">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jquery-3.6.0.min.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.min.js"></script>
</head>
<body class="index-page">
<script type="text/javascript">var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top"><button id="navbar-toggle-button" aria-controls="navbar-top" aria-expanded="false" aria-label="Toggle navigation links"><span class="nav-bar-toggle-icon">&nbsp;</span><span class="nav-bar-toggle-icon">&nbsp;</span><span class="nav-bar-toggle-icon">&nbsp;</span></button>
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li class="nav-bar-cell1-rev">Index</li>
<li><a href="../help-doc.html#index">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div id="navbar-sub-list"></div>
<div class="nav-list-search"><a href="../search.html">SEARCH</a>
<input type="text" id="search-input" disabled placeholder="Search">
<input type="reset" id="reset-button" disabled value="reset">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1>Index</h1>
</div>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">K</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">O</a>&nbsp;<a href="index-13.html">P</a>&nbsp;<a href="index-14.html">R</a>&nbsp;<a href="index-15.html">S</a>&nbsp;<a href="index-16.html">T</a>&nbsp;<a href="index-17.html">V</a>&nbsp;<a href="index-18.html">W</a>&nbsp;<a href="index-19.html">Y</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a><span class="vertical-separator">|</span><a href="../constant-values.html">Constant&nbsp;Field&nbsp;Values</a>
<h2 class="title" id="I:K">K</h2>
<dl class="index">
<dt><a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html#KEY_0" class="member-name-link">KEY_0</a> - Static variable in class org.academiadecodigo.simplegraphics.keyboard.<a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html" title="class in org.academiadecodigo.simplegraphics.keyboard">KeyboardEvent</a></dt>
<dd>
<div class="block">Numbers</div>
</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html#KEY_1" class="member-name-link">KEY_1</a> - Static variable in class org.academiadecodigo.simplegraphics.keyboard.<a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html" title="class in org.academiadecodigo.simplegraphics.keyboard">KeyboardEvent</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html#KEY_2" class="member-name-link">KEY_2</a> - Static variable in class org.academiadecodigo.simplegraphics.keyboard.<a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html" title="class in org.academiadecodigo.simplegraphics.keyboard">KeyboardEvent</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html#KEY_3" class="member-name-link">KEY_3</a> - Static variable in class org.academiadecodigo.simplegraphics.keyboard.<a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html" title="class in org.academiadecodigo.simplegraphics.keyboard">KeyboardEvent</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html#KEY_4" class="member-name-link">KEY_4</a> - Static variable in class org.academiadecodigo.simplegraphics.keyboard.<a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html" title="class in org.academiadecodigo.simplegraphics.keyboard">KeyboardEvent</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html#KEY_5" class="member-name-link">KEY_5</a> - Static variable in class org.academiadecodigo.simplegraphics.keyboard.<a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html" title="class in org.academiadecodigo.simplegraphics.keyboard">KeyboardEvent</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html#KEY_6" class="member-name-link">KEY_6</a> - Static variable in class org.academiadecodigo.simplegraphics.keyboard.<a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html" title="class in org.academiadecodigo.simplegraphics.keyboard">KeyboardEvent</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html#KEY_7" class="member-name-link">KEY_7</a> - Static variable in class org.academiadecodigo.simplegraphics.keyboard.<a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html" title="class in org.academiadecodigo.simplegraphics.keyboard">KeyboardEvent</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html#KEY_8" class="member-name-link">KEY_8</a> - Static variable in class org.academiadecodigo.simplegraphics.keyboard.<a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html" title="class in org.academiadecodigo.simplegraphics.keyboard">KeyboardEvent</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html#KEY_9" class="member-name-link">KEY_9</a> - Static variable in class org.academiadecodigo.simplegraphics.keyboard.<a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html" title="class in org.academiadecodigo.simplegraphics.keyboard">KeyboardEvent</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html#KEY_A" class="member-name-link">KEY_A</a> - Static variable in class org.academiadecodigo.simplegraphics.keyboard.<a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html" title="class in org.academiadecodigo.simplegraphics.keyboard">KeyboardEvent</a></dt>
<dd>
<div class="block">Letters</div>
</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html#KEY_B" class="member-name-link">KEY_B</a> - Static variable in class org.academiadecodigo.simplegraphics.keyboard.<a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html" title="class in org.academiadecodigo.simplegraphics.keyboard">KeyboardEvent</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html#KEY_BACK_SLASH" class="member-name-link">KEY_BACK_SLASH</a> - Static variable in class org.academiadecodigo.simplegraphics.keyboard.<a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html" title="class in org.academiadecodigo.simplegraphics.keyboard">KeyboardEvent</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html#KEY_C" class="member-name-link">KEY_C</a> - Static variable in class org.academiadecodigo.simplegraphics.keyboard.<a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html" title="class in org.academiadecodigo.simplegraphics.keyboard">KeyboardEvent</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html#KEY_D" class="member-name-link">KEY_D</a> - Static variable in class org.academiadecodigo.simplegraphics.keyboard.<a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html" title="class in org.academiadecodigo.simplegraphics.keyboard">KeyboardEvent</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html#KEY_DOWN" class="member-name-link">KEY_DOWN</a> - Static variable in class org.academiadecodigo.simplegraphics.keyboard.<a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html" title="class in org.academiadecodigo.simplegraphics.keyboard">KeyboardEvent</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html#KEY_E" class="member-name-link">KEY_E</a> - Static variable in class org.academiadecodigo.simplegraphics.keyboard.<a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html" title="class in org.academiadecodigo.simplegraphics.keyboard">KeyboardEvent</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html#KEY_ENTER" class="member-name-link">KEY_ENTER</a> - Static variable in class org.academiadecodigo.simplegraphics.keyboard.<a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html" title="class in org.academiadecodigo.simplegraphics.keyboard">KeyboardEvent</a></dt>
<dd>
<div class="block">Other</div>
</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html#KEY_ESC" class="member-name-link">KEY_ESC</a> - Static variable in class org.academiadecodigo.simplegraphics.keyboard.<a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html" title="class in org.academiadecodigo.simplegraphics.keyboard">KeyboardEvent</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html#KEY_F" class="member-name-link">KEY_F</a> - Static variable in class org.academiadecodigo.simplegraphics.keyboard.<a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html" title="class in org.academiadecodigo.simplegraphics.keyboard">KeyboardEvent</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html#KEY_F1" class="member-name-link">KEY_F1</a> - Static variable in class org.academiadecodigo.simplegraphics.keyboard.<a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html" title="class in org.academiadecodigo.simplegraphics.keyboard">KeyboardEvent</a></dt>
<dd>
<div class="block">Function keys</div>
</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html#KEY_F10" class="member-name-link">KEY_F10</a> - Static variable in class org.academiadecodigo.simplegraphics.keyboard.<a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html" title="class in org.academiadecodigo.simplegraphics.keyboard">KeyboardEvent</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html#KEY_F11" class="member-name-link">KEY_F11</a> - Static variable in class org.academiadecodigo.simplegraphics.keyboard.<a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html" title="class in org.academiadecodigo.simplegraphics.keyboard">KeyboardEvent</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html#KEY_F12" class="member-name-link">KEY_F12</a> - Static variable in class org.academiadecodigo.simplegraphics.keyboard.<a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html" title="class in org.academiadecodigo.simplegraphics.keyboard">KeyboardEvent</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html#KEY_F2" class="member-name-link">KEY_F2</a> - Static variable in class org.academiadecodigo.simplegraphics.keyboard.<a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html" title="class in org.academiadecodigo.simplegraphics.keyboard">KeyboardEvent</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html#KEY_F3" class="member-name-link">KEY_F3</a> - Static variable in class org.academiadecodigo.simplegraphics.keyboard.<a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html" title="class in org.academiadecodigo.simplegraphics.keyboard">KeyboardEvent</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html#KEY_F4" class="member-name-link">KEY_F4</a> - Static variable in class org.academiadecodigo.simplegraphics.keyboard.<a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html" title="class in org.academiadecodigo.simplegraphics.keyboard">KeyboardEvent</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html#KEY_F5" class="member-name-link">KEY_F5</a> - Static variable in class org.academiadecodigo.simplegraphics.keyboard.<a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html" title="class in org.academiadecodigo.simplegraphics.keyboard">KeyboardEvent</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html#KEY_F6" class="member-name-link">KEY_F6</a> - Static variable in class org.academiadecodigo.simplegraphics.keyboard.<a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html" title="class in org.academiadecodigo.simplegraphics.keyboard">KeyboardEvent</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html#KEY_F7" class="member-name-link">KEY_F7</a> - Static variable in class org.academiadecodigo.simplegraphics.keyboard.<a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html" title="class in org.academiadecodigo.simplegraphics.keyboard">KeyboardEvent</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html#KEY_F8" class="member-name-link">KEY_F8</a> - Static variable in class org.academiadecodigo.simplegraphics.keyboard.<a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html" title="class in org.academiadecodigo.simplegraphics.keyboard">KeyboardEvent</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html#KEY_F9" class="member-name-link">KEY_F9</a> - Static variable in class org.academiadecodigo.simplegraphics.keyboard.<a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html" title="class in org.academiadecodigo.simplegraphics.keyboard">KeyboardEvent</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html#KEY_G" class="member-name-link">KEY_G</a> - Static variable in class org.academiadecodigo.simplegraphics.keyboard.<a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html" title="class in org.academiadecodigo.simplegraphics.keyboard">KeyboardEvent</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html#KEY_H" class="member-name-link">KEY_H</a> - Static variable in class org.academiadecodigo.simplegraphics.keyboard.<a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html" title="class in org.academiadecodigo.simplegraphics.keyboard">KeyboardEvent</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html#KEY_I" class="member-name-link">KEY_I</a> - Static variable in class org.academiadecodigo.simplegraphics.keyboard.<a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html" title="class in org.academiadecodigo.simplegraphics.keyboard">KeyboardEvent</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html#KEY_J" class="member-name-link">KEY_J</a> - Static variable in class org.academiadecodigo.simplegraphics.keyboard.<a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html" title="class in org.academiadecodigo.simplegraphics.keyboard">KeyboardEvent</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html#KEY_K" class="member-name-link">KEY_K</a> - Static variable in class org.academiadecodigo.simplegraphics.keyboard.<a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html" title="class in org.academiadecodigo.simplegraphics.keyboard">KeyboardEvent</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html#KEY_L" class="member-name-link">KEY_L</a> - Static variable in class org.academiadecodigo.simplegraphics.keyboard.<a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html" title="class in org.academiadecodigo.simplegraphics.keyboard">KeyboardEvent</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html#KEY_LEFT" class="member-name-link">KEY_LEFT</a> - Static variable in class org.academiadecodigo.simplegraphics.keyboard.<a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html" title="class in org.academiadecodigo.simplegraphics.keyboard">KeyboardEvent</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html#KEY_M" class="member-name-link">KEY_M</a> - Static variable in class org.academiadecodigo.simplegraphics.keyboard.<a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html" title="class in org.academiadecodigo.simplegraphics.keyboard">KeyboardEvent</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html#KEY_N" class="member-name-link">KEY_N</a> - Static variable in class org.academiadecodigo.simplegraphics.keyboard.<a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html" title="class in org.academiadecodigo.simplegraphics.keyboard">KeyboardEvent</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html#KEY_O" class="member-name-link">KEY_O</a> - Static variable in class org.academiadecodigo.simplegraphics.keyboard.<a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html" title="class in org.academiadecodigo.simplegraphics.keyboard">KeyboardEvent</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html#KEY_P" class="member-name-link">KEY_P</a> - Static variable in class org.academiadecodigo.simplegraphics.keyboard.<a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html" title="class in org.academiadecodigo.simplegraphics.keyboard">KeyboardEvent</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEventType.html#KEY_PRESSED" class="member-name-link">KEY_PRESSED</a> - Enum constant in enum class org.academiadecodigo.simplegraphics.keyboard.<a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEventType.html" title="enum class in org.academiadecodigo.simplegraphics.keyboard">KeyboardEventType</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html#KEY_Q" class="member-name-link">KEY_Q</a> - Static variable in class org.academiadecodigo.simplegraphics.keyboard.<a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html" title="class in org.academiadecodigo.simplegraphics.keyboard">KeyboardEvent</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html#KEY_R" class="member-name-link">KEY_R</a> - Static variable in class org.academiadecodigo.simplegraphics.keyboard.<a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html" title="class in org.academiadecodigo.simplegraphics.keyboard">KeyboardEvent</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEventType.html#KEY_RELEASED" class="member-name-link">KEY_RELEASED</a> - Enum constant in enum class org.academiadecodigo.simplegraphics.keyboard.<a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEventType.html" title="enum class in org.academiadecodigo.simplegraphics.keyboard">KeyboardEventType</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html#KEY_RIGHT" class="member-name-link">KEY_RIGHT</a> - Static variable in class org.academiadecodigo.simplegraphics.keyboard.<a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html" title="class in org.academiadecodigo.simplegraphics.keyboard">KeyboardEvent</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html#KEY_S" class="member-name-link">KEY_S</a> - Static variable in class org.academiadecodigo.simplegraphics.keyboard.<a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html" title="class in org.academiadecodigo.simplegraphics.keyboard">KeyboardEvent</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html#KEY_SHIFT" class="member-name-link">KEY_SHIFT</a> - Static variable in class org.academiadecodigo.simplegraphics.keyboard.<a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html" title="class in org.academiadecodigo.simplegraphics.keyboard">KeyboardEvent</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html#KEY_SPACE" class="member-name-link">KEY_SPACE</a> - Static variable in class org.academiadecodigo.simplegraphics.keyboard.<a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html" title="class in org.academiadecodigo.simplegraphics.keyboard">KeyboardEvent</a></dt>
<dd>
<div class="block">Space and Directions</div>
</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html#KEY_T" class="member-name-link">KEY_T</a> - Static variable in class org.academiadecodigo.simplegraphics.keyboard.<a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html" title="class in org.academiadecodigo.simplegraphics.keyboard">KeyboardEvent</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html#KEY_TAB" class="member-name-link">KEY_TAB</a> - Static variable in class org.academiadecodigo.simplegraphics.keyboard.<a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html" title="class in org.academiadecodigo.simplegraphics.keyboard">KeyboardEvent</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html#KEY_U" class="member-name-link">KEY_U</a> - Static variable in class org.academiadecodigo.simplegraphics.keyboard.<a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html" title="class in org.academiadecodigo.simplegraphics.keyboard">KeyboardEvent</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html#KEY_UP" class="member-name-link">KEY_UP</a> - Static variable in class org.academiadecodigo.simplegraphics.keyboard.<a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html" title="class in org.academiadecodigo.simplegraphics.keyboard">KeyboardEvent</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html#KEY_V" class="member-name-link">KEY_V</a> - Static variable in class org.academiadecodigo.simplegraphics.keyboard.<a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html" title="class in org.academiadecodigo.simplegraphics.keyboard">KeyboardEvent</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html#KEY_W" class="member-name-link">KEY_W</a> - Static variable in class org.academiadecodigo.simplegraphics.keyboard.<a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html" title="class in org.academiadecodigo.simplegraphics.keyboard">KeyboardEvent</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html#KEY_X" class="member-name-link">KEY_X</a> - Static variable in class org.academiadecodigo.simplegraphics.keyboard.<a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html" title="class in org.academiadecodigo.simplegraphics.keyboard">KeyboardEvent</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html#KEY_Y" class="member-name-link">KEY_Y</a> - Static variable in class org.academiadecodigo.simplegraphics.keyboard.<a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html" title="class in org.academiadecodigo.simplegraphics.keyboard">KeyboardEvent</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html#KEY_Z" class="member-name-link">KEY_Z</a> - Static variable in class org.academiadecodigo.simplegraphics.keyboard.<a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html" title="class in org.academiadecodigo.simplegraphics.keyboard">KeyboardEvent</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/keyboard/Keyboard.html" class="type-name-link" title="class in org.academiadecodigo.simplegraphics.keyboard">Keyboard</a> - Class in <a href="../org/academiadecodigo/simplegraphics/keyboard/package-summary.html">org.academiadecodigo.simplegraphics.keyboard</a></dt>
<dd>
<div class="block">Instantiate a Keyboard for obtaining key handling capability</div>
</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/keyboard/Keyboard.html#%3Cinit%3E(org.academiadecodigo.simplegraphics.keyboard.KeyboardHandler)" class="member-name-link">Keyboard(KeyboardHandler)</a> - Constructor for class org.academiadecodigo.simplegraphics.keyboard.<a href="../org/academiadecodigo/simplegraphics/keyboard/Keyboard.html" title="class in org.academiadecodigo.simplegraphics.keyboard">Keyboard</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html" class="type-name-link" title="class in org.academiadecodigo.simplegraphics.keyboard">KeyboardEvent</a> - Class in <a href="../org/academiadecodigo/simplegraphics/keyboard/package-summary.html">org.academiadecodigo.simplegraphics.keyboard</a></dt>
<dd>
<div class="block">Keyboard events containing key codes and event types</div>
</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html#%3Cinit%3E()" class="member-name-link">KeyboardEvent()</a> - Constructor for class org.academiadecodigo.simplegraphics.keyboard.<a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html" title="class in org.academiadecodigo.simplegraphics.keyboard">KeyboardEvent</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEventType.html" class="type-name-link" title="enum class in org.academiadecodigo.simplegraphics.keyboard">KeyboardEventType</a> - Enum Class in <a href="../org/academiadecodigo/simplegraphics/keyboard/package-summary.html">org.academiadecodigo.simplegraphics.keyboard</a></dt>
<dd>
<div class="block">The type of events supported by the Keyboard</div>
</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardHandler.html" class="type-name-link" title="interface in org.academiadecodigo.simplegraphics.keyboard">KeyboardHandler</a> - Interface in <a href="../org/academiadecodigo/simplegraphics/keyboard/package-summary.html">org.academiadecodigo.simplegraphics.keyboard</a></dt>
<dd>
<div class="block">Interface to be implemented by all classes that wish to receive keyboard events</div>
</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/keyboard/Keyboard.html#keyPressed(java.awt.event.KeyEvent)" class="member-name-link">keyPressed(KeyEvent)</a> - Method in class org.academiadecodigo.simplegraphics.keyboard.<a href="../org/academiadecodigo/simplegraphics/keyboard/Keyboard.html" title="class in org.academiadecodigo.simplegraphics.keyboard">Keyboard</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardHandler.html#keyPressed(org.academiadecodigo.simplegraphics.keyboard.KeyboardEvent)" class="member-name-link">keyPressed(KeyboardEvent)</a> - Method in interface org.academiadecodigo.simplegraphics.keyboard.<a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardHandler.html" title="interface in org.academiadecodigo.simplegraphics.keyboard">KeyboardHandler</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/test/Tester.html#keyPressed(org.academiadecodigo.simplegraphics.keyboard.KeyboardEvent)" class="member-name-link">keyPressed(KeyboardEvent)</a> - Method in class org.academiadecodigo.simplegraphics.test.<a href="../org/academiadecodigo/simplegraphics/test/Tester.html" title="class in org.academiadecodigo.simplegraphics.test">Tester</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/keyboard/Keyboard.html#keyReleased(java.awt.event.KeyEvent)" class="member-name-link">keyReleased(KeyEvent)</a> - Method in class org.academiadecodigo.simplegraphics.keyboard.<a href="../org/academiadecodigo/simplegraphics/keyboard/Keyboard.html" title="class in org.academiadecodigo.simplegraphics.keyboard">Keyboard</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardHandler.html#keyReleased(org.academiadecodigo.simplegraphics.keyboard.KeyboardEvent)" class="member-name-link">keyReleased(KeyboardEvent)</a> - Method in interface org.academiadecodigo.simplegraphics.keyboard.<a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardHandler.html" title="interface in org.academiadecodigo.simplegraphics.keyboard">KeyboardHandler</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/test/Tester.html#keyReleased(org.academiadecodigo.simplegraphics.keyboard.KeyboardEvent)" class="member-name-link">keyReleased(KeyboardEvent)</a> - Method in class org.academiadecodigo.simplegraphics.test.<a href="../org/academiadecodigo/simplegraphics/test/Tester.html" title="class in org.academiadecodigo.simplegraphics.test">Tester</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/keyboard/Keyboard.html#keyTyped(java.awt.event.KeyEvent)" class="member-name-link">keyTyped(KeyEvent)</a> - Method in class org.academiadecodigo.simplegraphics.keyboard.<a href="../org/academiadecodigo/simplegraphics/keyboard/Keyboard.html" title="class in org.academiadecodigo.simplegraphics.keyboard">Keyboard</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">K</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">O</a>&nbsp;<a href="index-13.html">P</a>&nbsp;<a href="index-14.html">R</a>&nbsp;<a href="index-15.html">S</a>&nbsp;<a href="index-16.html">T</a>&nbsp;<a href="index-17.html">V</a>&nbsp;<a href="index-18.html">W</a>&nbsp;<a href="index-19.html">Y</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a><span class="vertical-separator">|</span><a href="../constant-values.html">Constant&nbsp;Field&nbsp;Values</a></main>
</div>
</div>
</body>
</html>
